locked
De Windows XP à Windows 7 RRS feed

  • Question

  • Je développe des applications avec Visual Studio 2005 Team Edition for Software Developers qui fonctionnent sans problèmes sous Windows XP (SP3).

    j'ai installé Visual Studio C# 2008 Express Edition et recompiler mes applications qui fonctionnent sans problèmes sous Windws XP et fait de même avec Visual Studio 2010 Express Edition.

    Puis-je utiliser Visual C# Express Edition pour avoir des applications qui fonctionnent sous Windows 7 (et encore XP bien sûr) et comment ?

    Attention : je n'ai pour l'instant pas de machine fonctionnant sous Windows 7.  


    BRI67
    samedi 4 décembre 2010 13:59

Réponses

  • Bonjour,

    Oui, Visual C# permet de développer des applications fonctionnant sous le .NET Framework. Le .NET Framework 2.0, 3.5 et 4.0 fonctionne sans problème sous Windows XP, Vista et Seven.

    Cordialement


    Gilles TOURREAU - MVP C#
    Architecte .NET/Consultant/Formateur chez Winwise
    Blog : http://gilles.tourreau.fr
    - MCPD : Enterprise Developper / Windows Developper 3.5 / ASP .NET 3.5
    - MCTS : ADO .NET 3.5 / SQL Server 2008 Developper / Windows Forms 3.5 / ASP .NET 3.5
    samedi 4 décembre 2010 17:42
  • Bonjour,

    Je peux utiliser Visual C# 2008 (et je suppose 2010) Express Edition que j'ai installé sur un PC avec comme système d'exploitation WXP SP3, pour développer des applications destinées aussi bien à Windows XP qu'à Windows 7, à condition bien sûr que les Framework 2.0, 3.5 et 4.0 soient installés ? 
    Oui

    Dernière question : le même résultat de la fonction Publier peut-être utilisé pour installer l'application aussi bien sur une machine WXP que W7 ?
    Oui

    Pour information : Visual C# 2008 permet de développer des applications ciblant le .NET Framework 2.0, 3.0 et 3.5. Et Visual C# 2010 permet de développer des applications ciblant le .NET Framework 2.0, 3.0, 3.5 et 4.0. Je vous conseille donc d'utiliser Visual C# 2010 qui vous offrira beaucoup plus de fonctionnalités (pour le développement), même si vous cibler une version du .NET Framework inférieur (par exemple 2.0).

    Cordialement


    Gilles TOURREAU - MVP C#
    Architecte .NET/Consultant/Formateur chez Winwise
    Blog : http://gilles.tourreau.fr
    - MCPD : Enterprise Developper / Windows Developper 3.5 / ASP .NET 3.5
    - MCTS : ADO .NET 3.5 / SQL Server 2008 Developper / Windows Forms 3.5 / ASP .NET 3.5
    samedi 4 décembre 2010 18:24

Toutes les réponses

  • Bonjour,

    Oui, Visual C# permet de développer des applications fonctionnant sous le .NET Framework. Le .NET Framework 2.0, 3.5 et 4.0 fonctionne sans problème sous Windows XP, Vista et Seven.

    Cordialement


    Gilles TOURREAU - MVP C#
    Architecte .NET/Consultant/Formateur chez Winwise
    Blog : http://gilles.tourreau.fr
    - MCPD : Enterprise Developper / Windows Developper 3.5 / ASP .NET 3.5
    - MCTS : ADO .NET 3.5 / SQL Server 2008 Developper / Windows Forms 3.5 / ASP .NET 3.5
    samedi 4 décembre 2010 17:42
  • Pour être sur d'avoir bien compris :

    Je peux utiliser Visual C# 2008 (et je suppose 2010) Express Edition que j'ai installé sur un PC avec comme système d'exploitation WXP SP3, pour développer des applications destinées aussi bien à Windows XP qu'à Windows 7, à condition bien sûr que les Framework 2.0, 3.5 et 4.0 soient installés ? 

    Dernière question : le même résultat de la fonction Publier peut-être utilisé pour installer l'application aussi bien sur une machine WXP que W7 ?

    merci d'avance pour votre réponse.


    BRI67
    samedi 4 décembre 2010 17:56
  • Bonjour,

    Je peux utiliser Visual C# 2008 (et je suppose 2010) Express Edition que j'ai installé sur un PC avec comme système d'exploitation WXP SP3, pour développer des applications destinées aussi bien à Windows XP qu'à Windows 7, à condition bien sûr que les Framework 2.0, 3.5 et 4.0 soient installés ? 
    Oui

    Dernière question : le même résultat de la fonction Publier peut-être utilisé pour installer l'application aussi bien sur une machine WXP que W7 ?
    Oui

    Pour information : Visual C# 2008 permet de développer des applications ciblant le .NET Framework 2.0, 3.0 et 3.5. Et Visual C# 2010 permet de développer des applications ciblant le .NET Framework 2.0, 3.0, 3.5 et 4.0. Je vous conseille donc d'utiliser Visual C# 2010 qui vous offrira beaucoup plus de fonctionnalités (pour le développement), même si vous cibler une version du .NET Framework inférieur (par exemple 2.0).

    Cordialement


    Gilles TOURREAU - MVP C#
    Architecte .NET/Consultant/Formateur chez Winwise
    Blog : http://gilles.tourreau.fr
    - MCPD : Enterprise Developper / Windows Developper 3.5 / ASP .NET 3.5
    - MCTS : ADO .NET 3.5 / SQL Server 2008 Developper / Windows Forms 3.5 / ASP .NET 3.5
    samedi 4 décembre 2010 18:24
  • Un grand merci pour vos précisions.

    Je vais m'empresser de basculer toutes mes applications de Vistual studio 2005 et celles de C# 2008 Express vers C# 2010 Express.

    Encore merci.

    PS : - j'ai une application où j'ai des soucis avec l'utulisation de ToolTip. J'ai posté plusieurs questions et j'ai même envoyé à sa demande du code à Alex sur l'adresse qu'il m'a fournie, mais je n'ai pas eu de réponses à ce jour. Dois-je reformuler mes questions ?


    BRI67
    samedi 4 décembre 2010 19:07